const name = "removeAttrs";
const type = "perItem";
const active = !1;
const description = "removes specified attributes";
const params = {
  elemSeparator: ":",
  preserveCurrentColor: !1,
  attrs: []
};
const fn = function(item, params) {
  Array.isArray(params.attrs) || (params.attrs = [ params.attrs ]);
  if (item.isElem()) {
    const elemSeparator = "string" == typeof params.elemSeparator ? params.elemSeparator : ":";
    const preserveCurrentColor = "boolean" == typeof params.preserveCurrentColor && params.preserveCurrentColor;
    params.attrs.map((function(pattern) {
      -1 === pattern.indexOf(elemSeparator) ? pattern = [ ".*", elemSeparator, pattern, elemSeparator, ".*" ].join("") : pattern.split(elemSeparator).length < 3 && (pattern = [ pattern, elemSeparator, ".*" ].join(""));
      return pattern.split(elemSeparator).map((function(value) {
        "*" === value && (value = ".*");
        return new RegExp([ "^", value, "$" ].join(""), "i");
      }));
    })).forEach((function(pattern) {
      pattern[0].test(item.elem) && item.eachAttr((function(attr) {
        const name = attr.name;
        const value = attr.value;
        preserveCurrentColor && "fill" === name && "currentColor" === value || preserveCurrentColor && "stroke" === name && "currentColor" === value || pattern[1].test(name) && pattern[2].test(attr.value) && item.removeAttr(name);
      }));
    }));
  }
};
export { name, type, active, description, params, fn };