import { editorNamespaces as __editorNamespaces } from "./_collections";
let editorNamespaces = __editorNamespaces;
const name = "removeEditorsNSData";
const type = "perItem";
const active = !0;
const description = "removes editors namespaces, elements and attributes";
const prefixes = [];
const params = {
  additionalNamespaces: []
};
const fn = function(item, params) {
  Array.isArray(params.additionalNamespaces) && (editorNamespaces = editorNamespaces.concat(params.additionalNamespaces));
  if (item.elem) {
    item.isElem("svg") && item.eachAttr((function(attr) {
      if ("xmlns" === attr.prefix && editorNamespaces.indexOf(attr.value) > -1) {
        prefixes.push(attr.local);
        item.removeAttr(attr.name);
      }
    }));
    item.eachAttr((function(attr) {
      prefixes.indexOf(attr.prefix) > -1 && item.removeAttr(attr.name);
    }));
    if (prefixes.indexOf(item.prefix) > -1) return !1;
  }
};
export { name, type, active, description, params, fn };