import { elemsGroups } from "./_collections";
const container = elemsGroups.container;
const name = "removeEmptyContainers";
const type = "perItemReverse";
const active = !0;
const description = "removes empty container elements";
const params = {};
const fn = function(item) {
  return !(item.isElem(container) && !item.isElem("svg") && item.isEmpty() && (!item.isElem("pattern") || !item.hasAttrLocal("href")));
};
export { name, type, active, description, params, fn };