import { inheritableAttrs, attrsGroups, presentationNonInheritableGroupAttrs as applyGroups } from "./_collections";
const name = "removeNonInheritableGroupAttrs";
const type = "perItem";
const active = !0;
const description = "removes non-inheritable group’s presentational attributes";
const params = {};
const fn = function(item) {
  item.isElem("g") && item.eachAttr((function(attr) {
    !~attrsGroups.presentation.indexOf(attr.name) || ~inheritableAttrs.indexOf(attr.name) || ~applyGroups.indexOf(attr.name) || item.removeAttr(attr.name);
  }));
};
export { name, type, active, description, params, fn };