const name = "removeViewBox";
const type = "perItem";
const active = !0;
const description = "removes viewBox attribute when possible";
const params = {};
const viewBoxElems = [ "svg", "pattern", "symbol" ];
const fn = function(item) {
  if (item.isElem(viewBoxElems) && item.hasAttr("viewBox") && item.hasAttr("width") && item.hasAttr("height")) {
    const nums = item.attr("viewBox").value.split(/[ ,]+/g);
    "0" === nums[0] && "0" === nums[1] && item.attr("width").value.replace(/px$/, "") === nums[2] && item.attr("height").value.replace(/px$/, "") === nums[3] && item.removeAttr("viewBox");
  }
};
export { name, type, active, description, params, fn };