var e=require("../lib/svgo/tools")
exports.name="cleanupNumericValues"
exports.type="perItem"
exports.active=!0
exports.description="rounds numeric values to the fixed precision, removes default ‘px’ units"
exports.params={floatPrecision:3,leadingZero:!0,defaultPx:!0,convertToPx:!0}
const t=/^([-+]?\d*\.?\d+([eE][-+]?\d+)?)(px|pt|pc|mm|cm|m|in|ft|em|ex|%)?$/
const o={cm:96/2.54,mm:96/25.4,in:96,pt:4/3,pc:16}
exports.fn=function(i,n){if(i.isElem()){const r=n.floatPrecision
if(i.hasAttr("viewBox")){const e=i.attr("viewBox").value.split(/\s,?\s*|,\s*/g)
i.attr("viewBox").value=e.map((function(e){const t=+e
return isNaN(t)?e:+t.toFixed(r)})).join(" ")}i.eachAttr((function(i){if("version"===i.name)return
const s=i.value.match(t)
if(s){let t=+(+s[1]).toFixed(r)
let a=s[3]||""
if(n.convertToPx&&a&&a in o){const e=+(o[a]*s[1]).toFixed(r)
if(String(e).length<s[0].length){t=e
a="px"}}n.leadingZero&&(t=(0,e.removeLeadingZero)(t))
n.defaultPx&&"px"===a&&(a="")
i.value=t+a}}))}}
