const CONFIG_LITE = function(config) {
  config = {
    ...config,
    plugins: config.plugins.map(plugin => ({
      ...plugin,
      params: {
        ...plugin.params
      }
    }))
  };
  Array.isArray(config.plugins) && (config.plugins = function(plugins) {
    let prev;
    return plugins.reduce((function(plugins, item) {
      prev && item.type === prev[0].type ? prev.push(item) : plugins.push(prev = [ item ]);
      return plugins;
    }), []);
  }(config.plugins));
  return config;
};
export { CONFIG_LITE };