const name = "removeEmptyText";
const type = "perItem";
const active = !0;
const description = "removes empty <text> elements";
const params = {
  text: !0,
  tspan: !0,
  tref: !0
};
const fn = function(item, params) {
  return !(params.text && item.isElem("text") && item.isEmpty()) && !(params.tspan && item.isElem("tspan") && item.isEmpty()) && !(params.tref && item.isElem("tref") && !item.hasAttrLocal("href")) && void 0;
};
export { name, type, active, description, params, fn };