const t=/matrix|translate|scale|rotate|skewX|skewY/
const a=/\s*(matrix|translate|scale|rotate|skewX|skewY)\s*\(\s*(.+?)\s*\)[\s,]*/
const n=/[-+]?(?:\d*\.\d+|\d+\.?)(?:[eE][-+]?\d+)?/g
exports.transform2js=function(s){const e=[]
let o
s.split(a).forEach((function(a){let s
if(a)if(t.test(a))e.push(o={name:a})
else for(;s=n.exec(a);){s=Number(s)
o.data?o.data.push(s):o.data=[s]}}))
return o&&o.data?e:[]}
exports.transformsMultiply=function(t){return{name:"matrix",data:(t=t.map((function(t){return"matrix"===t.name?t.data:function(t){if("matrix"===t.name)return t.data
let a
switch(t.name){case"translate":a=[1,0,0,1,t.data[0],t.data[1]||0]
break
case"scale":a=[t.data[0],0,0,t.data[1]||t.data[0],0,0]
break
case"rotate":const n=s.cos(t.data[0])
const e=s.sin(t.data[0])
const o=t.data[1]||0
const r=t.data[2]||0
a=[n,e,-e,n,(1-n)*o+e*r,(1-n)*r-e*o]
break
case"skewX":a=[1,0,s.tan(t.data[0]),1,0,0]
break
case"skewY":a=[1,s.tan(t.data[0]),0,1,0,0]}return a}(t)}))).length>0?t.reduce(e):[]}}
const s={rad:function(t){return t*Math.PI/180},deg:function(t){return 180*t/Math.PI},cos:function(t){return Math.cos(this.rad(t))},acos:function(t,a){return+this.deg(Math.acos(t)).toFixed(a)},sin:function(t){return Math.sin(this.rad(t))},asin:function(t,a){return+this.deg(Math.asin(t)).toFixed(a)},tan:function(t){return Math.tan(this.rad(t))},atan:function(t,a){return+this.deg(Math.atan(t)).toFixed(a)}}
exports.mth=s
exports.matrixToTransform=function(t,a){const n=a.floatPrecision
const e=t.data
const o=[]
let r=+Math.hypot(e[0],e[1]).toFixed(a.transformPrecision)
let c=+((e[0]*e[3]-e[1]*e[2])/r).toFixed(a.transformPrecision)
const i=e[0]*e[2]+e[1]*e[3]
const h=e[0]*e[1]+e[2]*e[3]
const u=0!==h||r===c;(e[4]||e[5])&&o.push({name:"translate",data:e.slice(4,e[5]?6:5)})
if(!e[1]&&e[2])o.push({name:"skewX",data:[s.atan(e[2]/c,n)]})
else if(e[1]&&!e[2]){o.push({name:"skewY",data:[s.atan(e[1]/e[0],n)]})
r=e[0]
c=e[3]}else if(!i||1===r&&1===c||!u){if(!u){r=(e[0]<0?-1:1)*Math.hypot(e[0],e[2])
c=(e[3]<0?-1:1)*Math.hypot(e[1],e[3])
o.push({name:"scale",data:[r,c]})}const t=Math.min(Math.max(-1,e[0]/r),1)
const a=[s.acos(t,n)*((u?1:c)*e[1]<0?-1:1)]
a[0]&&o.push({name:"rotate",data:a})
h&&i&&o.push({name:"skewX",data:[s.atan(i/(r*r),n)]})
if(a[0]&&(e[4]||e[5])){o.shift()
const t=e[0]/r
const n=e[1]/(u?r:c)
const s=e[4]*(u||c)
const i=e[5]*(u||r)
const h=(Math.pow(1-t,2)+Math.pow(n,2))*(u||r*c)
a.push(((1-t)*s-n*i)/h)
a.push(((1-t)*i+n*s)/h)}}else if(e[1]||e[2])return t;(!u||1===r&&1===c)&&o.length||o.push({name:"scale",data:r===c?[r]:[r,c]})
return o}
exports.transformArc=function(t,a){let n=t[0]
let s=t[1]
const o=t[2]*Math.PI/180
const r=Math.cos(o)
const c=Math.sin(o)
let i=Math.pow(t[5]*r+t[6]*c,2)/(4*n*n)+Math.pow(t[6]*r-t[5]*c,2)/(4*s*s)
if(i>1){i=Math.sqrt(i)
n*=i
s*=i}const h=e(a,[n*r,n*c,-s*c,s*r,0,0])
const u=h[2]*h[2]+h[3]*h[3]
const d=h[0]*h[0]+h[1]*h[1]+u
const f=Math.hypot(h[0]-h[3],h[1]+h[2])*Math.hypot(h[0]+h[3],h[1]-h[2])
if(f){const a=(d+f)/2
const n=(d-f)/2
const s=Math.abs(a-u)>1e-6
const e=(s?a:n)-u
const o=h[0]*h[2]+h[1]*h[3]
const r=h[0]*e+h[2]*o
const c=h[1]*e+h[3]*o
t[0]=Math.sqrt(a)
t[1]=Math.sqrt(n)
t[2]=((s?c<0:r>0)?-1:1)*Math.acos((s?r:c)/Math.hypot(r,c))*180/Math.PI}else{t[0]=t[1]=Math.sqrt(d/2)
t[2]=0}a[0]<0!=a[3]<0&&(t[4]=1-t[4])
return t}
function e(t,a){return[t[0]*a[0]+t[2]*a[1],t[1]*a[0]+t[3]*a[1],t[0]*a[2]+t[2]*a[3],t[1]*a[2]+t[3]*a[3],t[0]*a[4]+t[2]*a[5]+t[4],t[1]*a[4]+t[3]*a[5]+t[5]]}